import type { PageServerLoad } from './$types';
import { getSession } from '$lib/server/session';
import { Permissions } from '$lib/permissions';
import { redirect } from '@sveltejs/kit';
import { env } from '$env/dynamic/public';

export const load: PageServerLoad = async ({ cookies }) => {
	if (getSession(cookies, { permissions: [Permissions.Settings] }) == null) {
		throw redirect(302, `${env.PUBLIC_BASE_PATH}/admin`);
	}
};
