import { env } from '$env/dynamic/public';
import { errorMessage } from '$lib/stores';

type Actions = 'getuuid';

export async function sendRequest<T = any>(action: Actions, data: any): Promise<T> {
	const response = await fetch(`${env.PUBLIC_BASE_PATH}/admin/tools?action=${action}`, {
		method: 'POST',
		body: JSON.stringify(data)
	});
	if (!response.ok) {
		const data = await response.json();
		if (Object.hasOwn(data, 'error')) {
			errorMessage.set(data['error']);
		} else {
			errorMessage.set('Ein Fehler ist aufgetreten');
		}
		throw new Error();
	}

	return response.json();
}
